return {
PlaceObj('ModItemCode', {
	'name', "Data_AutoAttach",
	'FileName', "Code/Data_AutoAttach.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Data_BuildMenu",
	'FileName', "Code/Data_BuildMenu.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Data_GameRules",
	'FileName', "Code/Data_GameRules.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_Construction",
	'FileName', "Code/Lua_Construction.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_ConstructionSite",
	'FileName', "Code/Lua_ConstructionSite.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_GameUtils",
	'FileName', "Code/Lua_GameUtils.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_PlanetUI",
	'FileName', "Code/Lua_PlanetUI.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_Controller",
	'FileName', "Code/Lua_RDM_Controller.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_Core",
	'FileName', "Code/Lua_RDM_Core.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_Fixer",
	'FileName', "Code/Lua_RDM_Fixer.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_ModBase",
	'FileName', "Code/Lua_RDM_ModBase.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_Tech",
	'FileName', "Code/Lua_RDM_Tech.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_RDM_SupplyRocket",
	'FileName', "Code/Lua_RDM_SupplyRocket.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_XTemplates.Infopanel",
	'FileName', "Code/Lua_XTemplates.Infopanel.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_XTemplates_CC_Categories",
	'FileName', "Code/Lua_XTemplates_CC_Categories.lua",
}),
PlaceObj('ModItemCode', {
	'name', "Lua_XTemplates_Infobar",
	'FileName', "Code/Lua_XTemplates_Infobar.lua",
}),
PlaceObj('ModItemDecalEntity', {
	'name', "sDecal_EarthToMars",
	'entity_name', "sDecal_EarthToMarsLogo",
}),
PlaceObj('ModItemDecalEntity', {
	'name', "sDecal_MarsSkyline",
	'entity_name', "sDecal_MarsSkylineLogo",
}),
PlaceObj('ModItemEntity', {
	'name', "FV_BuildingSupport_1",
	'entity_name', "FV_BuildingSupport_1",
	'import', "Entities/FV_BuildingSupport_1.ent",
}),
PlaceObj('ModItemEntity', {
	'name', "FV_TubeBlendShort_1",
	'entity_name', "FV_TubeBlendShort_1",
	'import', "Entities/FV_TubeBlendShort_1.ent",
}),
PlaceObj('ModItemEntity', {
	'name', "sTabletSamsoon",
	'entity_name', "sTabletSamsoon",
	'import', "Entities/sTabletSamsoon.ent",
}),
PlaceObj('ModItemLocTable', {
	'comment', "Base language",
	'language', "English",
	'filename', "Local/English.csv",
}),
PlaceObj('ModItemMissionLogoPreset', {
	SortKey = 101,
	decal_entity = "sDecal_MarsSkylineLogo",
	display_name = T(657783070077, --[[ModItemMissionLogoPreset sMarsSkyline display_name]] "Mars Skyline"),
	entity_name = "sDecal_MarsSkylineLogo",
	group = "Default",
	id = "sMarsSkyline",
	image = "UI/Logos/sDecal_MarsSkylineLogoUI.tga",
}),
PlaceObj('ModItemMissionLogoPreset', {
	SortKey = 100,
	decal_entity = "sDecal_EarthToMarsLogo",
	display_name = T(956203037695, --[[ModItemMissionLogoPreset sEarthToMars display_name]] "Earth To Mars"),
	entity_name = "sDecal_EarthToMarsLogo",
	group = "Default",
	id = "sEarthToMars",
	image = "UI/Logos/sDecal_EarthToMarsLogoUI.tga",
}),
PlaceObj('ModItemParticleSystemPreset', {
	distance_bias = 100000,
	game_time_animated = true,
	group = "Default",
	id = "RDM_Greatsteam_1",
	particles_scale_with_object = true,
	presim_time = 10000,
	rand_start_time = 200,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'world_space', true,
		'probability', 50,
		'start_color_min', RGBA(175, 213, 231, 255),
		'start_color_max', RGBA(153, 224, 235, 255),
		'start_intensity_max', 1500,
		'mid_color', RGBA(190, 233, 234, 255),
		'end_color', RGBA(215, 218, 221, 255),
		'end_intensity', 1428,
		'type', "Interpolate through mid",
		'middle_pos', 650,
	}, nil, nil),
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'world_space', true,
		'probability', 50,
		'start_color_min', RGBA(213, 221, 225, 255),
		'start_intensity_min', 2000,
		'start_color_max', RGBA(183, 203, 207, 255),
		'mid_color', RGBA(194, 200, 201, 255),
		'mid_intensity', 1250,
		'end_color', RGBA(215, 218, 221, 255),
		'end_intensity', 1250,
		'type', "Interpolate through mid",
		'middle_pos', 850,
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Smoke",
		'bins', set( "B" ),
		'max_live_count', 26,
		'parts_per_sec', 600,
		'lifetime_min', 8000,
		'lifetime_max', 18000,
		'texture', "Textures/Particles/RDM_ThickSmoke_02.dds",
		'emit_detail_level', 60,
		'normalmap', "Textures/Particles/RDM_ThickSmoke_03.norm.dds",
		'self_illum', 25,
		'light_softness', 400,
		'frames', point(2, 2),
		'drawing_order', 2,
		'emit_fade', range(0, 500),
		'softness', 100,
		'alpha_test', 1,
		'shader', "Blend Exposed",
		'angle', range(0, 360),
		'mat_ice', 50,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "B" ),
		'fade_in_time', 1000,
		'fade_out_time', 1000,
		'fade_in_alpha', 60,
		'fade_out_alpha', 40,
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'bins', set( "B" ),
		'world_space', true,
		'spread_angle', 0,
		'vel_min', 3000,
		'vel_max', 5000,
	}, nil, nil),
	PlaceObj('DisplacerLineRegular', {
		'bins', set( "B" ),
		'length', 6000,
		'segments', 4,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFriction', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleBehaviorGravityWind', {
		'bins', set( "B" ),
		'world_space', true,
		'start_vel', 2000,
		'acceleration', 5000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "B" ),
		'start_size_min', 5000,
		'start_size_max', 5000,
		'mid_size', 5000,
		'end_size', 10000,
		'mid_point', 750,
		'start_size2_min', 2000,
		'start_size2_max', 2000,
		'mid_size2', 3000,
		'end_size2', 5000,
		'mid_point2', 100,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	distance_bias = 100000,
	game_time_animated = true,
	group = "Default",
	id = "RDM_Smoke1",
	particles_scale_with_object = true,
	presim_time = 10000,
	rand_start_time = 400,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'start_color_min', RGBA(50, 50, 50, 255),
		'start_intensity_min', 1200,
		'start_color_max', RGBA(141, 108, 82, 255),
		'mid_color', RGBA(219, 182, 146, 255),
		'end_color', RGBA(187, 157, 125, 255),
		'type', "Interpolate through mid",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'bins', set( "B" ),
		'max_live_count', 6,
		'parts_per_sec', 300,
		'lifetime_min', 5000,
		'lifetime_max', 10000,
		'texture', "Textures/Particles/RDM_Smoke_2.dds",
		'emit_detail_level', 60,
		'self_illum', 10,
		'light_softness', 400,
		'frames', point(2, 2),
		'drawing_order', 2,
		'emit_fade', range(0, 750),
		'softness', 2500,
		'alpha_test', 5,
		'shader', "Blend Exposed",
		'position', point(0, 0, 100),
		'size_min', 2000,
		'size_max', 5000,
		'angle', range(0, 360),
		'mat_ice', 20,
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "B" ),
		'fade_out_time', 2000,
		'fade_in_alpha', 50,
	}, nil, nil),
	PlaceObj('Oscillate', {
		'bins', set( "B" ),
		'range_max', 2000,
		'kill_far', true,
		'x_strength', range(10, 50),
		'size_period', 2000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "B" ),
		'start_size_min', 2000,
		'start_size_max', 3000,
		'mid_size', 4000,
		'end_size', 6000,
		'non_square_size', true,
		'start_size2_min', 2000,
		'start_size2_max', 4000,
		'mid_size2', 4000,
		'end_size2', 6000,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	game_time_animated = true,
	group = "Default",
	id = "RDM_WaterRipple_1",
	particles_scale_with_object = true,
	presim_time = 1000,
	rand_start_time = 100,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "F" ),
		'time_period', 2000,
		'randomize_period', 50,
		'start_color_min', RGBA(172, 172, 172, 255),
		'end_color', RGBA(254, 130, 255, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "E", "F", "G" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Ripple",
		'bins', set( "F" ),
		'time_stop', 2000,
		'time_period', 4000,
		'randomize_period', 75,
		'decal_depth', 50,
		'max_live_count', 10,
		'parts_per_sec', 35,
		'lifetime_min', 5000,
		'lifetime_max', 6000,
		'texture', "Textures/Particles/RDM_Wave_1.dds",
		'emit_detail_level', 60,
		'self_illum', 20,
		'emit_fade', range(0, 500),
		'softness', 100,
		'shader', "Add",
		'distortion_mode', "Ping-Pong",
		'size_min', 2000,
		'angle', range(0, 360),
		'mat_ice', 0,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "F" ),
		'fade_out_time', 500,
		'fade_in_alpha', 255,
		'fade_out_alpha', 0,
	}, nil, nil),
	PlaceObj('FaceDirection', {
		'bins', set( "F" ),
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "F" ),
		'start_size_min', 2000,
		'start_size_max', 2000,
		'mid_size', 8000,
		'end_size', 13000,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	distance_bias = 100000,
	game_time_animated = true,
	group = "Default",
	id = "RDM_Faststeam_1",
	particles_scale_with_object = true,
	presim_time = 10000,
	rand_start_time = 200,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'probability', 50,
		'start_color_min', RGBA(234, 246, 249, 255),
		'start_color_max', RGBA(197, 218, 255, 255),
		'start_intensity_max', 2000,
		'mid_color', RGBA(87, 96, 237, 255),
		'end_color', RGBA(50, 61, 239, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'probability', 50,
		'start_color_min', RGBA(169, 188, 196, 255),
		'start_color_max', RGBA(238, 240, 244, 255),
		'mid_color', RGBA(107, 127, 136, 255),
		'end_color', RGBA(254, 254, 255, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Smoke",
		'bins', set( "B" ),
		'max_live_count', 25,
		'parts_per_sec', 1500,
		'lifetime_max', 4000,
		'texture', "Textures/Particles/RDM_ThickSmoke_02.dds",
		'emit_detail_level', 60,
		'normalmap', "Textures/Particles/RDM_ThickSmoke_03.norm.dds",
		'self_illum', 25,
		'light_softness', 1000,
		'frames', point(2, 2),
		'drawing_order', 2,
		'emit_fade', range(0, 500),
		'softness', 100,
		'alpha_test', 1,
		'shader', "Blend Exposed",
		'angle', range(0, 360),
		'mat_ice', 50,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "B" ),
		'fade_in_time', 1000,
		'fade_out_time', 1000,
		'fade_in_alpha', 60,
		'fade_out_alpha', 40,
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'bins', set( "B" ),
		'world_space', true,
		'spread_angle', 0,
		'vel_min', 10000,
		'vel_max', 2000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorGravityWind', {
		'bins', set( "B" ),
		'world_space', true,
		'start_vel', 2000,
		'acceleration', 5000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "B" ),
		'world_space', true,
		'start_size_min', 5000,
		'start_size_max', 5000,
		'mid_size', 8000,
		'end_size', 12000,
		'mid_point', 500,
		'start_size2_max', 1000,
		'end_size2', 5000,
		'mid_point2', 100,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	game_time_animated = true,
	group = "Default",
	id = "RDM_WaveRadio_1",
	particles_scale_with_object = true,
	presim_time = 1000,
	rand_start_time = 100,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "D", "F", "H" ),
		'start_color_min', RGBA(128, 128, 255, 255),
		'start_color_max', RGBA(53, 52, 255, 255),
		'mid_color', RGBA(255, 0, 0, 255),
		'end_color', RGBA(254, 130, 255, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorColorize', {
		'start_color_min', RGBA(128, 149, 255, 255),
		'start_intensity_min', 2000,
		'start_color_max', RGBA(53, 52, 255, 255),
		'start_intensity_max', 2000,
		'mid_color', RGBA(255, 0, 0, 255),
		'end_color', RGBA(254, 130, 255, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "E", "F", "G", "H" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Howling Circles",
		'decal_depth', 10,
		'max_live_count', 1,
		'parts_per_sec', 100,
		'lifetime_max', 1000,
		'texture', "Textures/Particles/RDM_GlowSoft_1024.dds",
		'emit_detail_level', 60,
		'normalmap', "Textures/Particles/RDM_blank.norm.dds",
		'self_illum', 35,
		'emit_fade', range(0, 100),
		'softness', 1000,
		'alpha_test', 5,
		'shader', "Add",
		'size_min', 2000,
		'mat_ice', 0,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'start_size_min', 3000,
		'start_size_max', 3000,
		'mid_size', 3000,
		'end_size', 8000,
		'mid_point', 500,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'fade_in_time', 150,
		'fade_out_time', 200,
		'fade_in_alpha', 255,
		'fade_out_alpha', 20,
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Howling Circles",
		'bins', set( "D" ),
		'decal_depth', 10,
		'max_live_count', 1,
		'parts_per_sec', 100,
		'lifetime_max', 1000,
		'texture', "Textures/Particles/RDM_GlowSoft_1024.dds",
		'emit_detail_level', 60,
		'normalmap', "Textures/Particles/RDM_blank.norm.dds",
		'self_illum', 20,
		'emit_fade', range(0, 100),
		'softness', 1000,
		'shader', "Add",
		'size_min', 6000,
		'size_max', 6000,
		'mat_ice', 0,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "D" ),
		'start_size_min', 9000,
		'start_size_max', 9000,
		'mid_size', 9000,
		'end_size', 12000,
		'mid_point', 500,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "D" ),
		'fade_out_time', 400,
		'fade_in_alpha', 255,
		'fade_out_alpha', 20,
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'label', "Howling Circles 2",
		'bins', set( "F" ),
		'decal_depth', 50,
		'max_live_count', 4,
		'parts_per_sec', 50,
		'lifetime_min', 4000,
		'lifetime_max', 5000,
		'texture', "Textures/Particles/RDM_Mars_Electric_CIrcle_02.dds",
		'emit_detail_level', 60,
		'normalmap', "Textures/Particles/RDM_blank.norm.dds",
		'self_illum', 20,
		'emit_fade', range(0, 500),
		'softness', 100,
		'shader', "Add",
		'size_min', 5000,
		'size_max', 5000,
		'angle', range(0, 360),
		'mat_ice', 0,
		'sort', false,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "F" ),
		'fade_out_time', 500,
		'fade_in_alpha', 255,
		'fade_out_alpha', 0,
	}, nil, nil),
	PlaceObj('FaceDirection', {
		'bins', set( "F" ),
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "F" ),
		'start_size_min', 2000,
		'start_size_max', 2000,
		'mid_size', 12000,
		'end_size', 18000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "D", "F", "H" ),
		'start_size_min', 10000,
		'start_size_max', 10000,
		'mid_size', 20000,
		'end_size', 30000,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	game_time_animated = true,
	group = "Default",
	id = "RDM_WaterFall_1",
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "A", "B" ),
		'start_color_min', RGBA(200, 229, 234, 255),
		'start_color_max', RGBA(77, 77, 77, 255),
		'type', "Start color range",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "A", "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'max_live_count', 16,
		'parts_per_sec', 800,
		'lifetime_max', 2000,
		'texture', "Textures/Particles/RDM_WavesCrush_1.dds",
		'emit_detail_level', 60,
		'frames', point(2, 2),
		'angle', range(0, 360),
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'vel_max', 1200,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', nil, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	game_time_animated = true,
	group = "Default",
	id = "RDM_WaterSpray_1",
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "A", "B" ),
		'start_color_min', RGBA(200, 229, 234, 255),
		'start_color_max', RGBA(77, 77, 77, 255),
		'type', "Start color range",
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'time_stop', 5000,
		'time_period', 20000,
		'max_live_count', 30,
		'parts_per_sec', 1200,
		'lifetime_min', 7000,
		'lifetime_max', 9000,
		'texture', "Textures/Particles/RDM_WavesCrush_1.dds",
		'emit_detail_level', 60,
		'frames', point(2, 2),
		'angle', range(0, 360),
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'spread_angle', 15000,
		'vel_max', 2500,
	}, nil, nil),
	PlaceObj('ParticleBehaviorGravityWind', {
		'direction', point(150, 0, 100),
		'max_vel', 9000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'fade_out_time', 500,
		'fade_in_alpha', 255,
		'fade_out_alpha', 0,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'start_size_min', 2000,
		'start_size_max', 2000,
		'mid_size', 8000,
		'end_size', 13000,
	}, nil, nil),
	PlaceObj('DisplacerLine', {
		'position1', point(0, -200, 0),
		'position2', point(0, 200, 0),
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	distance_bias = 100000,
	game_time_animated = true,
	group = "Default",
	id = "RDM_Smoke2",
	particles_scale_with_object = true,
	presim_time = 10000,
	rand_start_time = 400,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'start_color_min', RGBA(248, 248, 248, 255),
		'start_intensity_min', 1300,
		'start_color_max', RGBA(224, 224, 224, 255),
		'mid_color', RGBA(219, 216, 216, 255),
		'end_color', RGBA(222, 222, 222, 255),
		'type', "Start color only",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'bins', set( "B" ),
		'max_live_count', 10,
		'parts_per_sec', 300,
		'lifetime_min', 3000,
		'lifetime_max', 4000,
		'texture', "Textures/Particles/RDM_Smoke_2.dds",
		'emit_detail_level', 60,
		'self_illum', 5,
		'light_softness', 350,
		'frames', point(2, 2),
		'drawing_order', 2,
		'emit_fade', range(0, 500),
		'softness', 7500,
		'alpha_test', 5,
		'shader', "Blend Exposed",
		'position', point(0, 0, 100),
		'size_min', 2000,
		'size_max', 5000,
		'angle', range(0, 360),
		'mat_ice', 20,
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'bins', set( "B" ),
		'vel_min', 500,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "B" ),
		'fade_out_time', 3000,
		'fade_in_alpha', 50,
		'fade_out_alpha', 215,
	}, nil, nil),
	PlaceObj('Oscillate', {
		'bins', set( "B" ),
		'range_max', 2000,
		'kill_far', true,
		'x_strength', range(10, 50),
		'size_period', 2000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorGravityWell', {
		'bins', set( "B" ),
		'position', point(700, 0, 300),
		'acceleration', 1250,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "B" ),
		'start_size_min', 2000,
		'start_size_max', 2000,
		'mid_size', 4000,
		'end_size', 8000,
		'start_size2_min', 1000,
		'start_size2_max', 2000,
		'mid_size2', 3000,
		'end_size2', 4000,
	}, nil, nil),
}),
PlaceObj('ModItemParticleSystemPreset', {
	distance_bias = 100000,
	game_time_animated = true,
	group = "Default",
	id = "RDM_Smoke3",
	particles_scale_with_object = true,
	presim_time = 10000,
	rand_start_time = 400,
	saving = true,
	vanish = true,
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'probability', 50,
		'start_color_min', RGBA(255, 255, 255, 255),
		'start_intensity_min', 1200,
		'start_color_max', RGBA(223, 223, 223, 255),
		'start_intensity_max', 1750,
		'mid_color', RGBA(207, 207, 207, 255),
		'end_color', RGBA(186, 186, 186, 255),
		'type', "Interpolate through mid",
	}, nil, nil),
	PlaceObj('ParticleBehaviorColorize', {
		'bins', set( "B" ),
		'probability', 50,
		'start_color_min', RGBA(232, 243, 251, 255),
		'start_intensity_min', 1200,
		'start_color_max', RGBA(200, 227, 228, 255),
		'mid_color', RGBA(180, 201, 206, 255),
		'end_color', RGBA(137, 150, 149, 255),
		'type', "Interpolate through mid",
	}, nil, nil),
	PlaceObj('ParticleBehaviorPickFrame', {
		'bins', set( "B" ),
	}, nil, nil),
	PlaceObj('ParticleEmitter', {
		'bins', set( "B" ),
		'max_live_count', 15,
		'parts_per_sec', 800,
		'lifetime_min', 5000,
		'lifetime_max', 10000,
		'texture', "Textures/Particles/RDM_Smoke_2.dds",
		'emit_detail_level', 60,
		'light_softness', 1000,
		'frames', point(2, 2),
		'drawing_order', 2,
		'emit_fade', range(0, 750),
		'softness', 2500,
		'alpha_test', 5,
		'shader', "Blend Exposed",
		'angle', range(0, 360),
		'mat_ice', 20,
	}, nil, nil),
	PlaceObj('ParticleBehaviorRandomSpeedSpray', {
		'bins', set( "B" ),
		'vel_min', 500,
	}, nil, nil),
	PlaceObj('ParticleBehaviorFadeInOut', {
		'bins', set( "B" ),
		'fade_out_time', 4000,
		'fade_in_alpha', 50,
	}, nil, nil),
	PlaceObj('Oscillate', {
		'bins', set( "B" ),
		'range_max', 2000,
		'kill_far', true,
		'x_strength', range(10, 50),
		'size_period', 2000,
	}, nil, nil),
	PlaceObj('ParticleBehaviorResize', {
		'bins', set( "B" ),
		'start_size_min', 1000,
		'start_size_max', 3000,
		'mid_size', 4000,
		'end_size', 6000,
		'mid_point', 750,
		'start_size2_min', 1000,
		'start_size2_max', 2000,
		'mid_size2', 3000,
		'end_size2', 4000,
	}, nil, nil),
}),
PlaceObj('ModItemSoundPreset', {
	group = "Building",
	id = "Building RDM_Factory4 Loop",
	looping = true,
	mindistance = 3500,
	type = "BuildingLoop",
	volume = 175,
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory4_working1",
		'frequency', 50,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory4_working2",
		'frequency', 50,
	}),
}),
PlaceObj('ModItemSoundPreset', {
	group = "Building",
	id = "Building RDM_Factory5 Loop",
	looping = true,
	mindistance = 3500,
	type = "BuildingLoop",
	volume = 175,
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory5_working1",
		'frequency', 50,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory5_working2",
		'frequency', 50,
	}),
}),
PlaceObj('ModItemSoundPreset', {
	group = "Building",
	id = "Building RDM_Factory3 Loop",
	looping = true,
	mindistance = 3500,
	type = "BuildingLoop",
	volume = 175,
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory3_working1",
		'frequency', 50,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory3_working2",
		'frequency', 50,
	}),
}),
PlaceObj('ModItemSoundPreset', {
	group = "Building",
	id = "Building RDM_Factory2 Loop",
	looping = true,
	mindistance = 3500,
	type = "BuildingLoop",
	volume = 175,
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory2_working1",
		'frequency', 50,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory2_working2",
		'frequency', 50,
	}),
}),
PlaceObj('ModItemSoundPreset', {
	group = "Building",
	id = "Building RDM_Factory1 Loop",
	looping = true,
	mindistance = 3500,
	type = "BuildingLoop",
	volume = 200,
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory1_working1",
		'frequency', 35,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory1_working2",
		'frequency', 35,
	}),
	PlaceObj('Sample', {
		'file', "Sounds/Buildings/rdm_factory1_working3",
		'frequency', 30,
	}),
}),
PlaceObj('ModItemTraitPreset', {
	_incompatible = "Android",
	auto = false,
	category = "Positive",
	comment = "Trait - Euphoric",
	description = T(394078591368, --[[ModItemTraitPreset sEuphoric description]] "Increased morale boost."),
	display_icon = "",
	display_name = T(933616291573, --[[ModItemTraitPreset sEuphoric display_name]] "Euphoric"),
	group = "Positive",
	hidden_on_start = true,
	id = "sEuphoric",
	incompatible = {
		Android = true,
	},
	infopanel_effect_text = T(870141801563, --[[ModItemTraitPreset sEuphoric infopanel_effect_text]] "Euphoria +20 (Great discovery)"),
	modify_amount = 20,
	modify_property = "base_morale",
	modify_target = "self",
	name = "sEuphoric",
	param = 20,
	unapply_func = function ()  end,
}),
PlaceObj('ModItemXTemplate', {
	group = "InfopanelContent",
	id = "RDM_RocketBaseIP",
	PlaceObj('XTemplateTemplate', {
		'__condition', function (parent, context) return context:IsKindOf("RDM_RocketBase") end,
		'__template', "customSupplyRocket",
	}),
}),
}
